Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.resource
Interface IdeFileType

public interface IdeFileType

Defines string constants used to identify the type of a file in `IdeResourceManager`. See `resource.config` file settings.

Author:
  TogetherSoft

Field Summary
`final static String` | `BINARY` A binary file (for example, .class files).
`final static String` | `DIAGRAM` A diagram file
`final static String` | `PROJECT` A project file.
`final static String` | `SOURCE` A file that contains the source code.
`final static String` | `TEXT` Regular text file, except for the source code.
`final static String` | `UNKNOWN` This type of a file is unknown to Together.

Field Detail

### BINARY

    public final static String BINARY

  A binary file (for example, .class files).

### DIAGRAM

    public final static String DIAGRAM

  A diagram file

### PROJECT

    public final static String PROJECT

  A project file.

### SOURCE

    public final static String SOURCE

  A file that contains the source code.
  See Also:
    TEXT

### TEXT

    public final static String TEXT

  Regular text file, except for the source code.
  See Also:
    SOURCE

### UNKNOWN

    public final static String UNKNOWN

  This type of a file is unknown to Together.

Association Links

to Class java.lang.String

  This type of a file is unknown to Together.

to Class java.lang.String

  A binary file (for example, .class files).

to Class java.lang.String

  Regular text file, except for the source code.

  see #SOURCE

to Class java.lang.String

  A file that contains the source code.

  see #TEXT

to Class java.lang.String

  A project file.

to Class java.lang.String

  A diagram file

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD